Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1506011 - Review Request: nm-tray - NetworkManager tray icon
Summary: Review Request: nm-tray - NetworkManager tray icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2017-10-24 19:17 UTC by Raphael Groner
Modified: 2017-11-15 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 17:41:26 UTC
mgansser: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2017-10-24 19:17:38 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/nm-tray/nm-tray.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/nm-tray/nm-tray-0.3.0-1.fc27.src.rpm

Description:
nm-tray is a simple NetworkManager front end with information
icon residing in system tray (like e.g. nm-applet).
It's a pure Qt application.

Fedora Account System Username: raphgro

Test build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22678814

Comment 1 MartinKG 2017-10-25 07:50:50 UTC
I will take the review.

Comment 2 MartinKG 2017-10-25 09:06:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


- Fix  E: description-line-too-long C nm-tray is a simple NetworkManager front end with information icon residing in system tray (like e.g. nm-applet). It's a pure Qt application.
  Split your description across multiple lines, ensuring that each line does not exceed 79 characters.

- Fix [!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/nm-tray
  add '%dir %{_datadir}/%{name}' to file section.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "*No copyright*
     GPL". 11 files have unknown license. Detailed output of licensecheck
     in /home/martin/rpmbuild/SPECS/nm-tray/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/nm-tray
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/nm-tray
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nm-tray-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: nm-tray-0.3.0-1.fc28.x86_64.rpm
          nm-tray-debuginfo-0.3.0-1.fc28.x86_64.rpm
          nm-tray-0.3.0-1.fc28.src.rpm
nm-tray.x86_64: E: description-line-too-long C nm-tray is a simple NetworkManager front end with information icon residing in system tray (like e.g. nm-applet). It's a pure Qt application.
nm-tray.x86_64: W: only-non-binary-in-usr-lib
nm-tray.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/nm-tray-autostart.desktop
nm-tray.x86_64: W: no-manual-page-for-binary nm-tray
nm-tray.src: E: description-line-too-long C nm-tray is a simple NetworkManager front end with information icon residing in system tray (like e.g. nm-applet). It's a pure Qt application.
3 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nm-tray-debuginfo-0.3.0-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nm-tray-debuginfo.x86_64: W: invalid-url URL: https://github.com/palinek/nm-tray <urlopen error [Errno -2] Name or service not known>
nm-tray.x86_64: E: description-line-too-long C nm-tray is a simple NetworkManager front end with information icon residing in system tray (like e.g. nm-applet). It's a pure Qt application.
nm-tray.x86_64: W: invalid-url URL: https://github.com/palinek/nm-tray <urlopen error [Errno -2] Name or service not known>
nm-tray.x86_64: W: only-non-binary-in-usr-lib
nm-tray.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/nm-tray-autostart.desktop
nm-tray.x86_64: W: no-manual-page-for-binary nm-tray
2 packages and 0 specfiles checked; 1 errors, 5 warnings.


Requires
--------
nm-tray-debuginfo (rpmlib, GLIBC filtered):

nm-tray (rpmlib, GLIBC filtered):
    libKF5NetworkManagerQt.so.6()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
nm-tray-debuginfo:
    debuginfo(build-id)
    nm-tray-debuginfo
    nm-tray-debuginfo(x86-64)

nm-tray:
    application()
    application(nm-tray.desktop)
    nm-tray
    nm-tray(x86-64)
Source checksums
----------------
https://github.com/palinek/nm-tray/archive/0.3.0.tar.gz#/nm-tray-0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9aca47d2ea47859e70ba4c010c7d209e94818b29056490b3316461fd9c87053f
  CHECKSUM(SHA256) upstream package : 9aca47d2ea47859e70ba4c010c7d209e94818b29056490b3316461fd9c87053f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn ../SRPMS/nm-tray-0.3.0-1.fc26.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Raphael Groner 2017-10-30 08:22:03 UTC
I´ve been in vacation, will continue here soonish.

Comment 4 Raphael Groner 2017-10-30 18:16:22 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/nm-tray/nm-tray.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/nm-tray/nm-tray-0.3.0-2.fc27.src.rpm

%changelog
* Mon Oct 30 2017 Raphael Groner <> - 0.3.0-2
- fix rpmlint E: description-line-too-long
- fix folder ownership for translation files

Comment 5 MartinKG 2017-10-30 19:30:59 UTC
All ok for me, package accepted.

Comment 8 Gwyn Ciesla 2017-11-02 01:18:39 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nm-tray

Comment 9 Fedora Update System 2017-11-02 11:15:08 UTC
nm-tray-0.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-08570ddc92

Comment 10 Fedora Update System 2017-11-02 11:15:15 UTC
nm-tray-0.3.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25cbfe5485

Comment 11 Fedora Update System 2017-11-03 14:23:51 UTC
nm-tray-0.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-08570ddc92

Comment 12 Fedora Update System 2017-11-04 18:02:42 UTC
nm-tray-0.3.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25cbfe5485

Comment 13 Fedora Update System 2017-11-15 17:41:26 UTC
nm-tray-0.3.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-11-15 20:15:02 UTC
nm-tray-0.3.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.